# This file is subject to the terms and conditions defined in
# file 'LICENSE.txt', which is part of this source code package.
module Arguard
  module Guards
    module CollectionsGuard
      def not_nil!
        self.each do |item|
          item.not_nil!
        end
        self
      end

      def not_empty!
        if self.size == 0
          raise ArgumentError.new('Collection must not be empty.')
        end
      end

      def not_nil_not_empty!
        self.not_nil!.not_empty!
      end

    end
  end
end