# This file is subject to the terms and conditions defined in
# file 'LICENSE.txt', which is part of this source code package.
module Arguard
  module Guards
    module NumbersGuard

      def odd!(message = nil)
        unless odd?
          exc_message = message.nil? ? 'Number must be odd.' : "Number must be odd. Message: '#{message}'"

          raise ArgumentError.new(exc_message)
        end
        self
      end

    end
  end
end